/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"
#include "game/direction.h"

typedef enum {
  ENTITY_TYPE_NULL = 0,
  ENTITY_TYPE_PLAYER,
} entitytype_t;


typedef struct {
  entitytype_t type;
  uint8_t x, y;
  direction_t direction;
} entity_t;

/**
 * Initializes a given entity.
 * 
 * @param entity The entity to initialize.
 * @param type The type of the entity.
 */
void entityInit(entity_t *entity, const entitytype_t type);

void entityTest(entity_t *entity);

/**
 * Renders a given entity.
 * 
 * @param entity The entity to render.
 */
void entityRender(const entity_t *entity);