/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "packet.h"
#include "assert/assert.h"
#include "util/memory.h"

void packetInit(
  packet_t *packet,
  const packettype_t type,
  const uint32_t length
) {
  assertNotNull(packet, "Packet is NULL");

  memoryZero(packet, sizeof(packet_t));
  
  assertTrue(length > 0, "Packet length is 0");
  assertTrue(
    length <= sizeof(packetdata_t),
    "Packet length is too large"
  );

  packet->type = type;
  packet->length = length;
}