/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "packet.h"
#include "util/memory.h"
#include "assert/assert.h"

void packetPingCreate(packet_t *packet) {
  packetInit(packet, PACKET_TYPE_PING, sizeof(packetping_t));
  packet->data.ping.number = GetRandomValue(0, INT32_MAX);
}

errorret_t packetPingClient(packet_t *packet) {
  assertNotNull(packet, "Packet is NULL");
  assertTrue(packet->type == PACKET_TYPE_PING, "Packet type is not PING");

  if(packet->length != sizeof(packetping_t)) {
    return error("Ping packet length is not %d", sizeof(packetping_t));
  }

  return ERROR_OK;
}