/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "error/error.h"

typedef struct packet_s packet_t;

#define PACKET_WELCOME_STRING "DUSK"
#define PACKET_WELCOME_SIZE 4

typedef struct {
  char_t dusk[PACKET_WELCOME_SIZE];
} packetwelcome_t;

/**
 * Creates a welcome packet.
 * 
 * @param packet Pointer to the packet structure to initialize.
 */
void packetWelcomeCreate(packet_t *packet);

/**
 * Handles a welcome packet received FROM a server INTO a client.
 * 
 * @param packet Pointer to the packet structure to handle.
 * @return ERROR_OK on success, or an error code on failure.
 */
errorret_t packetWelcomeClient(packet_t *packet);