/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "random.h"
#include "assert/assert.h"

void randomInit() {
  randomSeed(time(NULL));
}

void randomSeed(const uint32_t seed) {
  srand(seed);
}

int32_t randomI32(const int32_t min, const int32_t max) {
  assertTrue(min < max, "Min is not less than max");
  return (rand() % (max - min)) + min;
}

float_t randomF32(const float_t min, const float_t max) {
  assertTrue(min < max, "Min is not less than max");
  return ((float_t)rand() / (float_t)RAND_MAX) * (max - min) + min;
}